Skip to main content
POST
/
v2
/
evm
/
accounts
/
export
/
by-name
/
{name}
Export EVM account by name
curl --request POST \
  --url https://api.cdp.coinbase.com/platform/v2/evm/accounts/export/by-name/{name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Wallet-Auth: <x-wallet-auth>' \
  --data '
{
  "exportEncryptionKey": "U2FsdGVkX1+vupppZksvRf5X5YgHq4+da+Q4qf51+Q4="
}
'
import requests

url = "https://api.cdp.coinbase.com/platform/v2/evm/accounts/export/by-name/{name}"

payload = { "exportEncryptionKey": "U2FsdGVkX1+vupppZksvRf5X5YgHq4+da+Q4qf51+Q4=" }
headers = {
"X-Wallet-Auth": "<x-wallet-auth>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Wallet-Auth': '<x-wallet-auth>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({exportEncryptionKey: 'U2FsdGVkX1+vupppZksvRf5X5YgHq4+da+Q4qf51+Q4='})
};

fetch('https://api.cdp.coinbase.com/platform/v2/evm/accounts/export/by-name/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "encryptedPrivateKey": "U2FsdGVkX1+vupppZksvRf5X5YgHq4+da+Q4qf51+Q4="
}
{
"errorType": "invalid_request",
"errorMessage": "error: parameter \"name\" must be a string."
}
{
"errorType": "unauthorized",
"errorMessage": "Wallet authentication error."
}
{
"errorType": "payment_method_required",
"errorMessage": "A valid payment method is required to complete this operation. Please add a payment method to your account at https://portal.cdp.coinbase.com."
}
{
"errorType": "not_found",
"errorMessage": "EVM account with the given name not found."
}
{
"errorType": "idempotency_error",
"errorMessage": "Idempotency key '8e03978e-40d5-43e8-bc93-6894a57f9324' was already used with a different request payload. Please try again with a new idempotency key."
}
{
"errorType": "internal_server_error",
"errorMessage": "An internal server error occurred. Please try again later."
}
{
"errorType": "bad_gateway",
"errorMessage": "Bad gateway. Please try again later."
}
{
"errorType": "service_unavailable",
"errorMessage": "Service unavailable. Please try again later."
}

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Headers

X-Wallet-Auth
string
required

A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.

X-Idempotency-Key
string

An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.

Required string length: 1 - 128

Path Parameters

name
string
required

The name of the EVM account.

Body

application/json
exportEncryptionKey
string
required

The base64-encoded, public part of the RSA key in DER format used to encrypt the account private key.

Example:

"U2FsdGVkX1+vupppZksvRf5X5YgHq4+da+Q4qf51+Q4="

Response

Successfully exported EVM account.

encryptedPrivateKey
string
required

The base64-encoded, encrypted private key of the EVM account which is a 32 byte raw private key. The private key is encrypted in transport using the exportEncryptionKey in the request.

Example:

"U2FsdGVkX1+vupppZksvRf5X5YgHq4+da+Q4qf51+Q4="